<?php
//Incluimos conexion a la base de 
require_once('../config/Conexion.php');

Class Banco
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
    
      public function insertar($nombre,$estado) {
        $sql = "INSERT INTO banco (nombre,estado) 
                VALUES ('$nombre','$estado')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idbanco,$nombre,$estado) {
        $sql = "UPDATE banco SET 
                nombre = '$nombre', 
                estado = '$estado'                 
                WHERE idbanco = '$idbanco'";
        return ejecutarConsulta($sql);
    }

    public function listarbanco()
    {
      $sql="SELECT * FROM banco";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idbanco)
    {
      $sql="SELECT * FROM banco where idbanco='$idbanco'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idbanco)
    {
      $sql="DELETE FROM banco where idbanco='$idbanco'";
      return ejecutarConsulta($sql);
    }

    public function selectbanco()
    {
      $sql="SELECT * FROM banco";
      return ejecutarConsulta($sql);

    }



}


?>